Get Sending connection
curl --request GET \
--url https://smtp.sendmux.ai/api/v1/me \
--header 'Authorization: Bearer <token>'import requests
url = "https://smtp.sendmux.ai/api/v1/me"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://smtp.sendmux.ai/api/v1/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://smtp.sendmux.ai/api/v1/me"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"meta": {
"request_id": "req_clxxxxxxxxxxxxxxxxxxxxxxxxx"
},
"ok": true,
"data": {
"credential": {
"id": "<string>",
"name": "<string>",
"type": "api_key"
},
"label": "<string>",
"mailboxes": [
{
"email": "jsmith@example.com",
"id": "<string>"
}
],
"permissions": [
"<string>"
],
"team": {
"id": "<string>",
"name": "<string>"
}
}
}{
"error": {
"code": "validation_error",
"message": "<string>",
"retryable": true,
"doc_url": "<string>",
"errors": [
{
"code": "invalid_string",
"field": "to.email",
"message": "<string>"
}
],
"param": "<string>"
},
"meta": {
"request_id": "req_clxxxxxxxxxxxxxxxxxxxxxxxxx"
},
"ok": false
}{
"error": {
"code": "validation_error",
"message": "<string>",
"retryable": true,
"doc_url": "<string>",
"errors": [
{
"code": "invalid_string",
"field": "to.email",
"message": "<string>"
}
],
"param": "<string>"
},
"meta": {
"request_id": "req_clxxxxxxxxxxxxxxxxxxxxxxxxx"
},
"ok": false
}{
"error": {
"code": "validation_error",
"message": "<string>",
"retryable": true,
"doc_url": "<string>",
"errors": [
{
"code": "invalid_string",
"field": "to.email",
"message": "<string>"
}
],
"param": "<string>"
},
"meta": {
"request_id": "req_clxxxxxxxxxxxxxxxxxxxxxxxxx"
},
"ok": false
}{
"error": {
"code": "validation_error",
"message": "<string>",
"retryable": true,
"doc_url": "<string>",
"errors": [
{
"code": "invalid_string",
"field": "to.email",
"message": "<string>"
}
],
"param": "<string>"
},
"meta": {
"request_id": "req_clxxxxxxxxxxxxxxxxxxxxxxxxx"
},
"ok": false
}Overview
Get Sending connection
Validate this Sending credential and return its team, connection label, permissions and authorised mailboxes. Requires email.send. Credits, provider readiness and mailbox storage are not checked. No user profile or secrets are returned.
GET
/
me
Get Sending connection
curl --request GET \
--url https://smtp.sendmux.ai/api/v1/me \
--header 'Authorization: Bearer <token>'import requests
url = "https://smtp.sendmux.ai/api/v1/me"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://smtp.sendmux.ai/api/v1/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://smtp.sendmux.ai/api/v1/me"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"meta": {
"request_id": "req_clxxxxxxxxxxxxxxxxxxxxxxxxx"
},
"ok": true,
"data": {
"credential": {
"id": "<string>",
"name": "<string>",
"type": "api_key"
},
"label": "<string>",
"mailboxes": [
{
"email": "jsmith@example.com",
"id": "<string>"
}
],
"permissions": [
"<string>"
],
"team": {
"id": "<string>",
"name": "<string>"
}
}
}{
"error": {
"code": "validation_error",
"message": "<string>",
"retryable": true,
"doc_url": "<string>",
"errors": [
{
"code": "invalid_string",
"field": "to.email",
"message": "<string>"
}
],
"param": "<string>"
},
"meta": {
"request_id": "req_clxxxxxxxxxxxxxxxxxxxxxxxxx"
},
"ok": false
}{
"error": {
"code": "validation_error",
"message": "<string>",
"retryable": true,
"doc_url": "<string>",
"errors": [
{
"code": "invalid_string",
"field": "to.email",
"message": "<string>"
}
],
"param": "<string>"
},
"meta": {
"request_id": "req_clxxxxxxxxxxxxxxxxxxxxxxxxx"
},
"ok": false
}{
"error": {
"code": "validation_error",
"message": "<string>",
"retryable": true,
"doc_url": "<string>",
"errors": [
{
"code": "invalid_string",
"field": "to.email",
"message": "<string>"
}
],
"param": "<string>"
},
"meta": {
"request_id": "req_clxxxxxxxxxxxxxxxxxxxxxxxxx"
},
"ok": false
}{
"error": {
"code": "validation_error",
"message": "<string>",
"retryable": true,
"doc_url": "<string>",
"errors": [
{
"code": "invalid_string",
"field": "to.email",
"message": "<string>"
}
],
"param": "<string>"
},
"meta": {
"request_id": "req_clxxxxxxxxxxxxxxxxxxxxxxxxx"
},
"ok": false
}Authorizations
BearerAuthOAuth2
Sendmux API key (smx_...)
Headers
Weak ETag from a previous response. When it matches the current resource, the server returns 304 Not Modified with no body.
Response
Connection information
Available options:
true Hide child attributes
Hide child attributes
Display label for this connection.
Was this page helpful?
⌘I